View Issue Details

IDProjectCategoryView StatusLast Update
0005709Talerotherpublic2021-09-02 18:22
ReporterFlorian Dold Assigned ToChristian Grothoff  
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.6Fixed in Version0.6 
Summary0005709: configure.ac should use AS_IF instead of shell if-statements
DescriptionOtherwise configure scripts will break in certain contexts, such as somebody adding one of the "special" macros.
TagsNo tags attached.

Activities

Florian Dold

2019-05-02 11:07

manager   ~0014365

This applies to multiple repositories, including merchant and exchange.

Christian Grothoff

2019-05-12 21:52

manager   ~0014385

80c84ec..821109d fixes merchant.git
081280a8..4b36b6c9 fixes exchange.git

Christian Grothoff

2021-09-02 18:14

manager   ~0018276

Fix committed to master branch.

Related Changesets

exchange: master 4b36b6c9

2019-05-12 21:40:45

Christian Grothoff

Details Diff
replace if with AS_IF (fixes 0005709 for exchange) Affected Issues
0005709
mod - configure.ac Diff File

merchant: master 821109d5

2019-05-12 21:50:40

Christian Grothoff

Details Diff
replace if with AS_IF (fixes 0005709 for merchant) Affected Issues
0005709
mod - configure.ac Diff File

Issue History

Date Modified Username Field Change
2019-05-02 11:02 Florian Dold New Issue
2019-05-02 11:07 Florian Dold Note Added: 0014365
2019-05-02 15:25 Christian Grothoff Severity minor => tweak
2019-05-12 21:51 Christian Grothoff Assigned To => Christian Grothoff
2019-05-12 21:51 Christian Grothoff Status new => assigned
2019-05-12 21:52 Christian Grothoff Status assigned => resolved
2019-05-12 21:52 Christian Grothoff Resolution open => fixed
2019-05-12 21:52 Christian Grothoff Fixed in Version => 0.6
2019-05-12 21:52 Christian Grothoff Note Added: 0014385
2019-05-12 21:52 Christian Grothoff Product Version => git (master)
2019-05-12 21:52 Christian Grothoff Target Version => 0.6
2019-12-20 19:12 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 4b36b6c9
2021-09-02 18:14 Christian Grothoff Note Added: 0018276
2021-09-02 18:22 Christian Grothoff Changeset attached => Taler-merchant master 821109d5